searchNodes=[{"doc":"OpentelemetryTesla uses telemetry handlers to create OpenTelemetry spans from Tesla HTTP client events. Supported events include request start/stop and also when an exception is raised. Usage In your application start: def start ( _type , _args ) do OpenTelemetry . register_application_tracer ( :my_telemetry_api ) OpentelemetryTesla . setup ( ) children = [ { Phoenix.PubSub , name : MyApp.PubSub } , MyAppWeb.Endpoint ] opts = [ strategy : :one_for_one , name : MyApp.Supervisor ] Supervisor . start_link ( children , opts ) end","ref":"OpentelemetryTesla.html","title":"OpentelemetryTesla","type":"module"},{"doc":"","ref":"OpentelemetryTesla.html#handle_exception/4","title":"OpentelemetryTesla.handle_exception/4","type":"function"},{"doc":"","ref":"OpentelemetryTesla.html#handle_start/4","title":"OpentelemetryTesla.handle_start/4","type":"function"},{"doc":"","ref":"OpentelemetryTesla.html#handle_stop/4","title":"OpentelemetryTesla.handle_stop/4","type":"function"},{"doc":"Initializes and configures telemetry handlers.","ref":"OpentelemetryTesla.html#setup/0","title":"OpentelemetryTesla.setup/0","type":"function"},{"doc":"","ref":"Tesla.Middleware.OpenTelemetry.html","title":"Tesla.Middleware.OpenTelemetry","type":"module"},{"doc":"Callback implementation for Tesla.Middleware.call/3 .","ref":"Tesla.Middleware.OpenTelemetry.html#call/3","title":"Tesla.Middleware.OpenTelemetry.call/3","type":"function"},{"doc":"OpenTelemetryTesla This library is divided into two components: Tesla middleware that injects tracing headers into HTTP requests Telemetry handler that creates OpenTelemetry spans from Tesla HTTP client events The handler implementation attaches to the following events: [:tesla, :request, :start] - emitted at the beginning of the request. Measurement: %{system_time: System.system_time()} Metadata: %{env: Tesla.Env.t()} [:tesla, :request, :stop] - emitted at the end of the request. Measurement: %{duration: native_time} Metadata: %{env: Tesla.Env.t()} | %{env: Tesla.Env.t(), error: term()} [:tesla, :request, :exception] - emitted when an exception has been raised. Measurement: %{duration: native_time} Metadata: %{kind: Exception.kind(), reason: term(), stacktrace: Exception.stacktrace()}","ref":"readme.html","title":"OpenTelemetryTesla","type":"extras"},{"doc":"If available in Hex , the package can be installed by adding opentelemetry_tesla to your list of dependencies in mix.exs : def deps do [ { :opentelemetry_tesla , &quot;~&gt; 1.3.0-rc.1&quot; } ] end","ref":"readme.html#installation","title":"OpenTelemetryTesla - Installation","type":"extras"},{"doc":"If you want to use Telemetry handler, make sure you add the following lines to your application start: OpenTelemetry . register_application_tracer ( :my_telemetry_api ) OpentelemetryTesla . setup ( ) For this ☝️ to work you also have to add the following line to your Tesla middlewares: Tesla.Middleware.Telemetry To propagate tracing information you'll also have to add the tesla middleware. plug Tesla.Middleware.OpenTelemetry It's very important that you set the correct order of the middlewares, otherwise span relations will not be correctly set. Tesla.Middleware.Telemetry Tesla.Middleware.OpenTelemetry","ref":"readme.html#setup","title":"OpenTelemetryTesla - Setup","type":"extras"}]